LC >= 8 no more HC friendly?

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
Hi friends,

I am trying to open some old HyperCard stacks (thanks Jaqueline :-)
and LC 8.1.9, 8.1.10 and 9.0 immediately and silently CRASH without notice
after selecting hte file in hte open dialog, I only get the macOS crash report.

Using LC 5.02, I can open the stacks without problem, except the usual errors
when opening a HC stack (using reserved words for variables etc.)

Any insights or hints?


Best

Klaus

--
Klaus Major
http://www.major-k.de
[hidden email]


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
Just curious, if you open with lc 5, and then save a copy as an lc stack,
can you then open it with the later version?  (and do the usual "messages
off" thing too of course)

On Wed, May 30, 2018 at 7:55 AM, Klaus major-k via use-livecode <
[hidden email]> wrote:

> Hi friends,
>
> I am trying to open some old HyperCard stacks (thanks Jaqueline :-)
> and LC 8.1.9, 8.1.10 and 9.0 immediately and silently CRASH without notice
> after selecting hte file in hte open dialog, I only get the macOS crash
> report.
>
> Using LC 5.02, I can open the stacks without problem, except the usual
> errors
> when opening a HC stack (using reserved words for variables etc.)
>
> Any insights or hints?
>
>
> Best
>
> Klaus
>
> --
> Klaus Major
> http://www.major-k.de
> [hidden email]
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
>
_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
In reply to this post by Niggemann, Bernd via use-livecode
Hi Klaus,

Yes, unfortunately this happens since LC 7 with some HC stacks.

Best,
Panos
--

On Wed, May 30, 2018 at 2:55 PM, Klaus major-k via use-livecode <
[hidden email]> wrote:

> Hi friends,
>
> I am trying to open some old HyperCard stacks (thanks Jaqueline :-)
> and LC 8.1.9, 8.1.10 and 9.0 immediately and silently CRASH without notice
> after selecting hte file in hte open dialog, I only get the macOS crash
> report.
>
> Using LC 5.02, I can open the stacks without problem, except the usual
> errors
> when opening a HC stack (using reserved words for variables etc.)
>
> Any insights or hints?
>
>
> Best
>
> Klaus
>
> --
> Klaus Major
> http://www.major-k.de
> [hidden email]
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
>
_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
In reply to this post by Niggemann, Bernd via use-livecode
I am amazed that LiveCode has remained backward compatible as long as it
has.

Richmond.

On 30/5/2018 4:55 pm, Klaus major-k via use-livecode wrote:

> Hi friends,
>
> I am trying to open some old HyperCard stacks (thanks Jaqueline :-)
> and LC 8.1.9, 8.1.10 and 9.0 immediately and silently CRASH without notice
> after selecting hte file in hte open dialog, I only get the macOS crash report.
>
> Using LC 5.02, I can open the stacks without problem, except the usual errors
> when opening a HC stack (using reserved words for variables etc.)
>
> Any insights or hints?
>
>
> Best
>
> Klaus
>
> --
> Klaus Major
> http://www.major-k.de
> [hidden email]
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
Seriously. But the good news is that it's not that much trouble to recreate your stacks in Livecode, and frankly, given that Hypercard was card driven, meaning if you wanted to display different data on a similar form you simply created a new card and filled in the data, and given that Livecode is decidedly NOT optimized to run this way, recreating your app in Livecode seems to be the way to go anyway.

Bob S


> On May 30, 2018, at 07:55 , Richmond Mathewson via use-livecode <[hidden email]> wrote:
>
> I am amazed that LiveCode has remained backward compatible as long as it has.
>
> Richmond.


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
In reply to this post by Niggemann, Bernd via use-livecode
That works. Once you get the stack converted to LC you can open it in any
later version. I keep an old copy of LC around just for the initial import.
--
Jacqueline Landman Gay | [hidden email]
HyperActive Software | http://www.hyperactivesw.com
On May 30, 2018 9:20:39 AM Mike Bonner via use-livecode
<[hidden email]> wrote:

> Just curious, if you open with lc 5, and then save a copy as an lc stack,
> can you then open it with the later version?  (and do the usual "messages
> off" thing too of course)
>
> On Wed, May 30, 2018 at 7:55 AM, Klaus major-k via use-livecode <
> [hidden email]> wrote:
>
>> Hi friends,
>>
>> I am trying to open some old HyperCard stacks (thanks Jaqueline :-)
>> and LC 8.1.9, 8.1.10 and 9.0 immediately and silently CRASH without notice
>> after selecting hte file in hte open dialog, I only get the macOS crash
>> report.
>>
>> Using LC 5.02, I can open the stacks without problem, except the usual
>> errors
>> when opening a HC stack (using reserved words for variables etc.)
>>
>> Any insights or hints?
>>
>>
>> Best
>>
>> Klaus
>>
>> --
>> Klaus Major
>> http://www.major-k.de
>> [hidden email]
>>
>>
>> _______________________________________________
>> use-livecode mailing list
>> [hidden email]
>> Please visit this url to subscribe, unsubscribe and manage your
>> subscription preferences:
>> http://lists.runrev.com/mailman/listinfo/use-livecode
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode




_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
In reply to this post by Niggemann, Bernd via use-livecode
Hi Mike,

> Am 30.05.2018 um 16:18 schrieb Mike Bonner via use-livecode <[hidden email]>:
>
> Just curious, if you open with lc 5, and then save a copy as an lc stack,
> can you then open it with the later version?  (and do the usual "messages
> off" thing too of course)

sure, I'd be quite pissed if not! :-D

> On Wed, May 30, 2018 at 7:55 AM, Klaus major-k via use-livecode <
> [hidden email]> wrote:
>
>> Hi friends,
>>
>> I am trying to open some old HyperCard stacks (thanks Jaqueline :-)
>> and LC 8.1.9, 8.1.10 and 9.0 immediately and silently CRASH without notice
>> after selecting hte file in hte open dialog, I only get the macOS crash
>> report.
>>
>> Using LC 5.02, I can open the stacks without problem, except the usual
>> errors when opening a HC stack (using reserved words for variables etc.)
>>
>> Any insights or hints?

Best

Klaus

--
Klaus Major
http://www.major-k.de
[hidden email]


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
In reply to this post by Niggemann, Bernd via use-livecode
On 05/30/2018 07:55 AM, Richmond Mathewson via use-livecode wrote:
> I am amazed that LiveCode has remained backward compatible as long as it
> has.

I'm amazed that people still have HyperCard stacks.
Last I checked, this was well into 2018.

--
  Mark Wieder
  [hidden email]

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: LC >= 8 no more HC friendly?

Niggemann, Bernd via use-livecode
Oh, I've got a vast number of HyperCard stacks lolling around on the
hard drive of a G5 iMac (that runs 'Classic');
I'm not completely sure why?

Richmonf.

On 30/5/2018 7:54 pm, Mark Wieder via use-livecode wrote:
> On 05/30/2018 07:55 AM, Richmond Mathewson via use-livecode wrote:
>> I am amazed that LiveCode has remained backward compatible as long as
>> it has.
>
> I'm amazed that people still have HyperCard stacks.
> Last I checked, this was well into 2018.
>


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode